### Class

# Msg MailService

#### Description

    final class Msg.MailService : Msg.Service
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- MsgService
- GObject

#### Constructors

###### msg_mail_service_new

No description available.

#### Instance methods

###### msg_mail_service_create_draft_message

Create new draft mail #mail and return new mail object.

###### msg_mail_service_delete_message

Delets #mail.

###### msg_mail_service_get_folder_id

No description available.

###### msg_mail_service_get_mail_folder

Get a specific mail folder for given service.

###### msg_mail_service_get_mail_folders

Get all folders for given service.

###### msg_mail_service_get_messages

Get all mails for given service.

###### msg_mail_service_get_mime_message

No description available.

##### Methods inherited from MsgService (7)

###### msg_service_build_message

Construct and checks a `SoupMessage` for transfer.

###### msg_service_get_authorizer

Get related authorizer.

###### msg_service_get_session

Get related soup session.

###### msg_service_refresh_authorization

No description available.

###### msg_service_send

Adds authorizer information to `message` and send it.

###### msg_service_send_and_parse_response

A combination of `msg_service_send_and_read` and `msg_service_parse_response`.

###### msg_service_send_and_read

Adds authorizer information to `message` and send it.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from MsgService (1)

###### Msg.Service:authorizer

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct MsgMailServiceClass {
      MsgServiceClass parent_class;

    }

No description available.

###### Class members

`parent_class: MsgServiceClass`

  No description available.